Subject: bug#13469: 24.2; emacs has a tiny frame, when I embed it in a kmail text field via xembed (--parent-id %w)

From: martin rudalics <[email-masked]>
Date: Thu, 21 Mar 2013 12:37:55 +0100

>>> Especially strange is that it works with emacs -Q --basic-display.
 >> The --basic-display disables menu bar and tool bar, and also disables
 >> blinking cursor.  Maybe the absent menu and tool bar somehow affect
 >> this, when you resize the qxembed-window?
 >
 > When I disable the menu bar, the frame is a bit bigger even without
 > --basic-display. It still resizes to the tiny size, though.

Did you also try with a disabled toolbar?

 > I just found a much easier way to reproduce it:
 >
 > Run emacs with --parent-id <random number>
 >
 > Then click with the mouse on the minibuffer. With menubar, it gets
 > really tiny, without menubar it resizes to a bigger size (~4 times as
 > wide

... high, I presume ...

 > as the small size), but when I click the minibuffer it emacs starts
 > to flicker and to resize repeatedly.

... how does it resize and how do you observe that ?

 > The flickering stops, when I call
 > async-shell-command but starts again once I hit C-g to leave the minibuffer.

Does it flicker/resize when you enter the minibuffer or when you leave
it?

 >> I suggest to put a breakpoint in change_frame_size,

change_frame_size_1 is better, where it does block_input () so you avoid
delayed and not-changing-anything calls.

 > and see who calls
 >> it with such a small frame size.
 >
 > I get something like this:

In all these calls can you see something in newheight that reflects the
size change you requested?

martin